终端软件XShell强制升级BUG的修复程序

XShell是一个功能强大的终端软件,它支持SSH1、SSH2、TELNET等协议,是我们管理服务器的好帮手。这个软件有免费版和收费版,免费版除了有功能限制之外,还有一个设定是:安装满1年强制升级最新版。

按说这也不算什么问题,升级最新版就升级最新版呗,问题是它的升级程序还有问题,升级总是以失败告终。

1.jpg

2.jpg

3.jpg

4.jpg

于是就形成了死循环,检测升级->强制升级->升级失败->检测升级

我在网上查询了一些资料,发现这个bug是可以修复的,并且把修复过程编写成了一个简单的工具软件。

使用这个小工具不需要专业的二进制编辑软件,傻瓜式一键操作。

1 下载并解压缩到XShell目录(网页往下拉,在文章结尾有附件。有的电脑会误报病毒,其实并不是病毒,只不过它需要修改二进制文件,所以被误报为病毒而已。压缩后一共才不到4KB,一点多余功能没有。程序是我亲自编写的,绝对不是病毒)

2 打开这个小工具软件

0.jpg

3 点击唯一的一个按钮

111.jpg

就修复完成了,再次打开XShell,强制升级的提示就没有了,又可以正常使用了。

附件:

附件3.XShell强制升级修复器3.42KB(备注:有的电脑会误报病毒,其实不是病毒)
扫码关注我的公众号